cURL
curl --request POST \ --url https://{your-subdomain}.neetoinvoice.com/api/external/v1/clients \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <x-api-key>' \ --data '{}'
{ "notice_code": "<string>", "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Create a client.
{your-subdomain}
X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.
Hide child attributes
New name of the client.
"Neeto Client Inc."
Currency code for the client.
"USD"
Status of the client.
active
archived
"active"
Optional secondary name for the client.
"Subsidiary Alpha"
Number of days after which an invoice is due by default for this client.
"30"
Internal notes about the client.
"Preferred billing cycle: monthly"
OK - Request succeeded